#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""techniques.py uses techniques.kid to create a webpage with a list of all techniques used and all projects using them."""

import kid,logic

def index():
   technique_stats=logic.techniques()
   if(technique_stats[1] == 0):
      techniques=technique_stats[0]
   elif(technique_stats[1] == 1):
      techniques=[{'name':'','count':'','projects':[{'project_no':'','project_name':'No techniques found'}]}]
   else:
      techniques=[{'name':'','count':'','projects':[{'project_no':'','project_name':'Could not read data-file'}]}]
   template = kid.Template(name='templates/techniques', title='List of used techniques', techniques=techniques)
   template.cache = False
   return template.serialize(output='xhtml-strict')

