<?xml version='1.0' encoding='utf-8'?>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:py="http://purl.org/kid/ns#">
  <head>
    <link rel="stylesheet" href="style/style.css" type="text/css" />
    <title py:content="title">
      Sidans titel hamnar här.
    </title>
  </head>
  <body>
 <div id="main">
   <div class="menu"><a href="index.html"><div class="menu-links">Index</div></a><br /><a href="list"><div class="menu-links">Projects</div></a><br /><a href="techniques"><div class="menu-links">Techniques</div></a><br /><a href="contact.html"><div class="menu-links">Contact</div></a></div>
   <div class="content">
	<table width="100%"><tr valign="bottom"><td width="300"><div class="topic">${topic}</div></td><td align="right"><a href="#searchanchor">Search and sort</a></td></tr></table><br />
	<table width="100%" py:for="dict in projects">
	 <tr>	
	  <td class="smalltopic"><a href="/project?id=${dict['project_no']}">${dict['project_name']}</a></td>
	 </tr>
	 <tr valign="top">
	  <td colspan="2" class="date">${dict['start_date']} - ${dict['end_date']}</td>
	 </tr>
         <tr valign="top">
	  <td>${dict['short_description']}</td>
	  <td rowspan="2" width="180" align="right"><img src="/images/${dict['small_image']}" /></td>
	 </tr>
	</table>
	<br /><br />	
	<a name="searchanchor"></a>
	<div class="smalltopic">Search and/or sort the list: </div>
	<form action="list" method="GET">
	<table width="100%">
	  <tr>
	    <td>Searchwords
	    </td>
	    <td>Searchfields (use CTRL)
	    </td>
	    <td>Sort order
	    </td>
	    <td>Sort by
	    </td>
	  </tr>
	  <tr valign="top">
	    <td>
		<input type="text" name="search1" size="10" />
	    </td>
	    <td>
		     <select name="search_fields1" size="3" multiple="multiple">
			<option>project_name</option>
			<option>project_no</option>
			<option>start_date</option>
			<option>end_date</option>
			<option>course_id</option>
			<option>course_name</option>
			<option>short_description</option>
			<option>long_description</option>
		     </select>
	    </td>
	    <td>
		     <select name="sort_order1">
			<option>Asc</option>
			<option>Desc</option>		
		     </select>
	    </td>
	    <td align="right">
		     <select name="sort_by1">
			<option>project_name</option>
			<option>project_no</option>
			<option>start_date</option>
			<option>end_date</option>
			<option>course_id</option>
			<option>course_name</option>
		    </select><br /><br />
		    <input type="submit" value="Filter" />		
	    </td>
	  </tr>
	</table>
	</form>
	<table height="300"></table>
   </div>
   <div class="footer">Copyright &copy; Jag 2007</div>
 </div>
  </body>
</html>

